com.informix.jdbc

## Class IfxInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FileInputStream
    - - com.informix.jdbc.IfxInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class IfxInputStream
    extends java.io.FileInputStream

JDBC 2.0 A IfxInputStream is a subclass of InputStream. This class will overwrite InputStream's close method to close the underlying IfxTmpFile

### Constructor Summary

Constructors
Constructor and Description
`IfxInputStream(IfxTmpFile tempFile)`

### Method Summary

Methods
`void` `close()`
`void` `finalize()`

### Methods inherited from class java.io.FileInputStream

`available, getChannel, getFD, read, read, read, skip`

### Methods inherited from class java.io.InputStream

`mark, markSupported, reset`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxInputStream

    public IfxInputStream(IfxTmpFile tempFile)
                   throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.FileInputStream`
Throws:
  `java.io.IOException`

#### finalize

    public void finalize()

Overrides:
  `finalize` in class `java.io.FileInputStream`